Name:           dhcping
Version:        1.2
Release:    1%{?dist}
Summary:        DHCP daemon ping program

License:        MIT
URL:            http://www.mavetju.org/unix/general.php
Source0:        http://www.mavetju.org/download/%{name}-%{version}.tar.gz
Patch0:         dhcping-aarch64.patch
Patch1:         dhcping-configure-c99.patch

Buildrequires:  gcc
BuildRequires: make

%description
Dhcping allows the system administrator to check if a remote DHCP
server is still functioning.

%prep
%setup -q
%patch0 -p1 -b .aarch64
%patch1 -p1 -b .configure-c99

%build
%configure
%make_build

%install
%make_install

%files
%doc CHANGES CONTACT
%license LICENSE
%{_mandir}/man*/*.*
%{_bindir}/%{name}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-1
- initial build
